<?php 

namespace RUMCWV;


if (!defined('ABSPATH')) {
	die('Let\'s not do this');
}

class RUMCWV_Options
{
	private static $defaults = [
		/* RUM Tracking */
		'rum_cwv_collect_rum'=>1,
		'rum_cwv_sample_rate'=>50,
		'rum_cwv_sample_retention'=>30,
	];

	private static $options = [];

	public static function __constructStatic()
	{
		self::$options = json_decode(get_option('rum_cwv_options'), true);
	}


	public static function get($key)
	{
		if (isset(self::$options[$key])) {
			return self::$options[$key];
		} else if (isset(self::$defaults[$key])) {
			return self::$defaults[$key];
		}

		return false;
	}
}
